import { PeerMetadata, NetworkMessage } from "./types";
import Client from "./Client";

export class LocalClient extends Client {
  public receiver!: (data: NetworkMessage) => void;

  public constructor(metadata: PeerMetadata) {
    super(metadata);
  }

  public receive(data: NetworkMessage) {
    this._received(data);
  }

  public send<T extends NetworkMessage>(data: T) {
    this.receiver(data);
  }
}

export default LocalClient;
