import Vue from "vue";
import Router from "vue-router";
import Home from "@/views/Home.vue";
import DeckBuilder from "@/views/DeckBuilder.vue";
import GameView from "@/views/Game.vue";
import DraftView from "@/views/Draft.vue";
import Lobby from "@/views/Lobby.vue";
import RoomView from "@/views/Room.vue";

Vue.use(Router);

export default new Router({
  mode: "history",
  base: process.env.BASE_URL,
  routes: [
    {
      path: "/",
      name: "home",
      component: Home
    },
    {
      path: "/build",
      name: "deck-editor",
      component: DeckBuilder
    },
    {
      path: "/game",
      name: "game",
      component: GameView
    },
    {
      path: "/draft",
      name: "draft",
      component: DraftView
    },
    {
      path: "/lobby",
      name: "lobby",
      component: Lobby
    },
    {
      path: "/room",
      name: "room",
      component: RoomView
    }
  ]
});
