import Vue from "vue";
import Vuex, { StoreOptions } from "vuex";
import { AppState } from "./types";

Vue.use(Vuex);

import actions from "./actions";
import mutations from "./mutations";
import getters from "./getters";

const store: StoreOptions<AppState> = {
  state: {
    loaded: false,
    loading: false,
    loadingMessage: ""
  },
  actions,
  mutations,
  getters,
  modules: {}
};

export default new Vuex.Store<AppState>(store);
