import Peer from "peerjs";
import { MockPeer } from ".";
import { LocalClient, PeerServer, PeerClient, RoomInfo } from "@/network";

export class MockHelper {
  private mocks: Record<string, MockPeer> = {};

  createServer(
    room: RoomInfo,
    id: string = "test-server",
    player?: LocalClient
  ) {
    const serverPeer = new MockPeer(this.mocks, id, {});
    return new PeerServer(
      room,
      player ? player : new LocalClient({ name: "server-player" }),
      serverPeer as Peer
    );
  }

  createClient(id: string = "test-client", name: string = "client-peer") {
    const clientPeer = new MockPeer(this.mocks, id, {});
    return new PeerClient({ name }, clientPeer as Peer);
  }
}

export default MockHelper;
